Bug 21860 - Maximized windows movable via deskguide applet
Maximized windows movable via deskguide applet
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-06 18:50 EST by Ed McKenzie
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-07 10:15:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2000-12-06 18:50:05 EST
Maximized windows can still be moved via the deskguide. Doing so seems to
confuse sawfish, as windows still behave like they're maximized. Yes, they
_are_ still maximized, but it's a bit odd having a big, immovable window
occluding the Panel. There are ways around this, but in any case it doesn't
seem like correct behavior to me.

This bug can also be reproduced with vertically/horizontally maximized
windows as well.
Comment 1 Havoc Pennington 2001-07-12 14:04:52 EDT
Sawfish should constrain configure requests for maximized windows. 

Upstream as http://bugzilla.eazel.com/show_bug.cgi?id=8410

Closing here

Note You need to log in before you can comment on or make changes to this bug.